<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=librocompras.xls");
header("Pragma: no-cache");
header("Expires: 0");

$id_autoriza=25;

/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
if ($editar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Libro de Compra</title>
<?
include("../conex.php");

$txtfecha=$_POST["txtfecha"];
$dia = substr ($txtfecha, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$mes2=$mes;
$año = substr ($txtfecha, 6, 4);
$ano2=$año;
?>
<style type="text/css">
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">


 
 <table width="77%" border="0">
  <tr bgcolor="#CCCCCC">
	  	<th width="5%" scope="col"><div align="center">Tipo Doc</div></th>
      <th width="5%" scope="col"><div align="center">Folio</div></th>
      <th width="5%" scope="col"><div align="center">Rut Contraparte</div></th>
      <th width="2%" scope="col"><div align="center">Tasa Impuesto</div></th>
      <th width="10%" scope="col"><div align="center">Razón Social Contraparte</div></th>
      <th width="5%" scope="col"><div align="center">Tipo Impuesto[1=IVA:2=LEY 18211]</div></th>
	  <th width="8%" scope="col"><div align="center">Fecha Emisión</div></th>
      <th width="8%" scope="col"><div align="center">Anulado[A]</div></th>
	  <th width="8%" scope="col"><div align="center">Monto Exento</div></th>
       <th width="8%" scope="col"><div align="center">Monto Neto</div></th>
      <th width="8%" scope="col"><div align="center">Monto IVA (Recuperable)</div></th>
      <th width="8%" scope="col"><div align="center">Cod IVA no Rec</div></th>
      <th width="8%" scope="col"><div align="center">Monto IVA no Rec</div></th>
      <th width="8%" scope="col"><div align="center">IVA Uso Común</div></th>
      <th width="8%" scope="col"><div align="center">Cod Otro Imp (Con Crédito)</div></th>
      <th width="8%" scope="col"><div align="center">Tasa Otro Imp (Con Crédito)</div></th>
      <th width="8%" scope="col"><div align="center">Monto Otro Imp (Con Crédito)</div></th>
       <th width="8%" scope="col"><div align="center">Monto Total</div></th>
       <th width="8%" scope="col"><div align="center">Monto Otro Imp Sin Crédito</div></th>
        <th width="8%" scope="col"><div align="center">Monto Activo Fijo</div></th>
  <th width="8%" scope="col"><div align="center">Monto IVA Activo Fijo</div></th>
   <th width="8%" scope="col"><div align="center">IVA No Retenido</div></th>
    <th width="8%" scope="col"><div align="center">Tabacos - Puros</div></th>
     <th width="8%" scope="col"><div align="center">Tabacos - Cigarrillos</div></th> 
  <th width="8%" scope="col"><div align="center">Tabacos - Elaborados</div></th>
  <th width="8%" scope="col"><div align="center">Impuesto a Vehiculos Automóviles</div></th>
  <th width="8%" scope="col"><div align="center">Codigo sucursal SII</div></th> 
  
  <th width="8%" scope="col"><div align="center">Numero Interno</div></th>
   <th width="8%" scope="col"><div align="center">Emisor/Receptor</div></th>
             
    </tr>
		
		<?			
		$doctos="(tipo_dcto.sii=30 OR tipo_dcto.sii=33 OR tipo_dcto.sii=55 OR tipo_dcto.sii=56 OR tipo_dcto.sii=60 OR tipo_dcto.sii=61 OR tipo_dcto.sii=32 OR tipo_dcto.sii=34 OR tipo_dcto.sii=45 OR tipo_dcto.sii=46)";
			
	 $sqlfs = "SELECT * FROM entrada, tipo_dcto, nombres WHERE extract(month from fecha_libro)='$mes2' AND extract(year from fecha_libro)='$ano2' AND " .$doctos. " AND tipo_dcto.id = entrada.tipo_dcto AND entrada.empresa = $id_empresa AND entrada.rut_proveedor = nombres.rut ORDER BY correlativo";
			

		  	$resfs = mysql_query($sqlfs,$enlace);	
			$cont=0;
		while (mysql_fetch_object ($resfs))
				{
				$correlativo = mysql_result($resfs, $cont, "correlativo");
				$fecha_emision = mysql_result($resfs, $cont, "fecha_emision");
				
				$dcto = mysql_result($resfs, $cont, "tipo_dcto.sii");
				
				$folio = mysql_result($resfs, $cont, "num_dcto");
				$rut = mysql_result($resfs, $cont, "rut_proveedor");
				$rut = str_replace('.', '', $rut);
				$tasa=19;
				$nombre = mysql_result($resfs, $cont, "razon_social");
				$tipo_impto=1;
				$exento= mysql_result($resfs, $cont, "exento");
				$iva =  mysql_result($resfs, $cont, "iva");
				$neto=  mysql_result($resfs, $cont, "neto");
				$total = mysql_result($resfs, $cont, "total");
				$ivar = mysql_result($resfs, $cont, "iva_retenido");
				
				$anulado='';
				
				$exento=number_format($exento,0,'','');
				$iva=number_format($iva,0,'','');
				$neto=number_format($neto,0,'','');
				$ivar=number_format($ivar,0,'','');
                $total=number_format($total,0,'','');
		  	?>
	<tr>
		<td><?=$dcto?></td>
        <td><?=$folio?></td>
        <td><?=$rut?></td>
        <td><?=$tasa?></td>
         <td><?=$nombre?></td>
        <td><?=$tipo_impto?></td>
        <td><?=$fecha_emision?></td>
        <td><?=$anulado?></td>
        <td><?=$exento?></td>
        <td><?=$neto?></td>
        <td><?=$iva?></td>
      <td>&nbsp;</td>
        <td>&nbsp;</td>
         <td>&nbsp;</td>
          <td>&nbsp;</td>
           <td>&nbsp;</td>
            <td>&nbsp;</td>
         <td><?=$total?></td>
         <td>&nbsp;</td>
        <td>&nbsp;</td>
         <td>&nbsp;</td>
          <td>&nbsp;</td>
        <td>&nbsp;</td>
         <td>&nbsp;</td>
          <td>&nbsp;</td>
        <td>&nbsp;</td>
         <td>&nbsp;</td>
         <td><?=$correlativo?></td> 
          <td>&nbsp;</td>
    </tr>	
			<?
			$cont+=1;
			
			}
			
			?>
			
    </table>
    
<form name="form1" method="post" action="">
  <input type="button" name="imprimir" id="imprimir" value="" onClick="fun_imprimir();">
   
 </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">


function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	document.getElementById('clasificacion').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	document.getElementById('clasificacion').style.display = "block"
	}


</script>